%define	major 0
%define libname	%mklibname pwdb %{major}
%define develname %mklibname -d pwdb

Summary:	The password database library
Name:		pwdb
Version:	0.62
Release:	%mkrel 12
License:	GPL
Group:		Security
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.62-includes.patch

%description
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package	conf
Summary:	The password database library config
Group:		Security

%description	conf
Configuration package for the libpwdb, the password database library.

%package -n	%{libname}
Summary:	The password database library
Group:		System/Libraries
Requires:	%{name}-conf = %{version}
Provides:	pwdb = %{version}-%{release}
Obsoletes:	pwdb

%description -n	%{libname}
The pwdb package contains libpwdb, the password database library.
Libpwdb is a library which implements a generic user information
database.  Libpwdb was specifically designed to work with Linux's PAM
(Pluggable Authentication Modules).  Libpwdb allows configurable
access to and management of security tools like /etc/passwd,
/etc/shadow and network authentication systems including NIS and
Radius.

%package -n	%{develname}
Summary:	The pwdb include files and link library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pwdb-devel = %{version}-%{release}
Conflicts:	pwdb-devel <= 0.61
Obsoletes:	%{_lib}pwdb0-devel < %{version}-%{release}

%description -n	%{develname}
The development header / link library for pwdb.

%prep
%setup -q
%patch0 -p1 -b .includes

rm default.defs
ln -s defs/redhat.defs default.defs
# checking out of the CVS sometimes preserves the setgid bit on
# directories...
chmod -R g-s .

%build
%make

%install
mkdir -p %{buildroot}/{%{_libdir},%{_sysconfdir},%{_includedir}/pwdb}

make	INCLUDED=%{buildroot}%{_includedir}/pwdb \
	LIBDIR=%{buildroot}/%{_libdir} \
	LDCONFIG=":" \
	install

rm -f %{buildroot}%{_libdir}/*.a

install conf/pwdb.conf %{buildroot}%{_sysconfdir}/pwdb.conf

ln -sf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{major}

%files conf
%doc Copyright doc/pwdb.txt doc/html
%config(noreplace) %{_sysconfdir}/pwdb.conf

%files -n %{libname}
%{_libdir}/libpwdb.so.%{major}*

%files -n %{develname}
%{_libdir}/libpwdb.so
%{_includedir}/pwdb


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.62-12.mga3
+ Revision: 378362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.62-11.mga3
+ Revision: 307446
- cleanup spec

* Fri Feb 25 2011 ennael <ennael> 0.62-11.mga1
+ Revision: 59345
- clean spec file
- imported package pwdb

